mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

Asymmetric key exchange deformatters decrypt key exchange data.

Key exchange allows a sender to create secret information, such as random data that can be used as a key in a symmetric encryption algorithm, and use encryption to send it to the intended recipient.

It is highly recommended that you not attempt to create your own key exchange method from the basic functionality provided, because many details of the operation must be performed carefully in order for the key exchange to be successful.

Represents the base class from which all asymmetric key exchange deformatters derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class.

  Use an implementation of to establish the key before calling an implementation of .

  Initializes a new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  You must specify a key before calling an implementation of this method.

  When overridden in a derived class, extracts secret information from the encrypted key exchange data.

  The secret information derived from the key exchange data.

  The key exchange data within which the secret information is hidden.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  When overridden in a derived class, gets or sets the parameters for the asymmetric key exchange.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You must set a key before calling a implementation.

  When overridden in a derived class, sets the private key to use for decrypting the secret information.

  The instance of the implementation of that holds the private key.